using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Telerik.DSR.Sample.Models
{
    public class MemoryChartRepository :IChartRepository
    {

        public IEnumerable<OrderValueByCountry> AllOrdersByCountry =>
        new List<OrderValueByCountry>
        {
            new OrderValueByCountry { Country="CYP", ValueAmount=20, Color="#006caa", ValueDate= new DateTime(2018,1,10), ValueYearMonth=2018},
            new OrderValueByCountry { Country="USA", ValueAmount=5, Color="#ffb128", ValueDate= new DateTime(2018,1,20), ValueYearMonth=2018},
            new OrderValueByCountry { Country="DEN", ValueAmount=15, Color="#EB984E", ValueDate= new DateTime(2018,2,5), ValueYearMonth=2018},
            new OrderValueByCountry { Country="AUS", ValueAmount=8, Color="#1F618D", ValueDate= new DateTime(2019,2,10), ValueYearMonth=2019},
            new OrderValueByCountry { Country="DEU", ValueAmount=2, Color="#99A3A4 ", ValueDate= new DateTime(2019,2,16), ValueYearMonth=2019},
            new OrderValueByCountry { Country="CAN", ValueAmount=20, Color="#2E4053", ValueDate= new DateTime(2019,3,10), ValueYearMonth=2019},
            new OrderValueByCountry { Country="CAN", ValueAmount=-10, Color="#2E4053", ValueDate= new DateTime(2020,3,10), ValueYearMonth=2020},

        };

        public IEnumerable<Item> AllItemNumbers
        {
            get
            {

                var items = Enumerable.Range(0, 1150).Select(i => new Item
                {
                    ItemNumber = "ATNCWRTKGQX_" + i

                });

                return items;
            }
        }
    }
}
